Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.synth
Class XRegion

    java.lang.Object
      javax.swing.plaf.synth.Region
          org.jdesktop.swingx.plaf.synth.XRegion

    public class XRegion

extends javax.swing.plaf.synth.Region

Extended Region to register custom component delegates.

Author:
  Jeanette Winzenburg

Field Summary
`static javax.swing.plaf.synth.Region` | `XLIST`

Fields inherited from class javax.swing.plaf.synth.Region
`ARROW_BUTTON, BUTTON, CHECK_BOX, CHECK_BOX_MENU_ITEM, COLOR_CHOOSER, COMBO_BOX, DESKTOP_ICON, DESKTOP_PANE, EDITOR_PANE, FILE_CHOOSER, FORMATTED_TEXT_FIELD, INTERNAL_FRAME, INTERNAL_FRAME_TITLE_PANE, LABEL, LIST, MENU, MENU_BAR, MENU_ITEM, MENU_ITEM_ACCELERATOR, OPTION_PANE, PANEL, PASSWORD_FIELD, POPUP_MENU, POPUP_MENU_SEPARATOR, PROGRESS_BAR, RADIO_BUTTON, RADIO_BUTTON_MENU_ITEM, ROOT_PANE, SCROLL_BAR, SCROLL_BAR_THUMB, SCROLL_BAR_TRACK, SCROLL_PANE, SEPARATOR, SLIDER, SLIDER_THUMB, SLIDER_TRACK, SPINNER, SPLIT_PANE, SPLIT_PANE_DIVIDER, TABBED_PANE, TABBED_PANE_CONTENT, TABBED_PANE_TAB, TABBED_PANE_TAB_AREA, TABLE, TABLE_HEADER, TEXT_AREA, TEXT_FIELD, TEXT_PANE, TOGGLE_BUTTON, TOOL_BAR, TOOL_BAR_CONTENT, TOOL_BAR_DRAG_WINDOW, TOOL_BAR_SEPARATOR, TOOL_TIP, TREE, TREE_CELL, VIEWPORT`

Constructor Summary
`XRegion(java.lang.String name, java.lang.String dummyUI, boolean subregion, java.lang.String realUI, javax.swing.plaf.synth.Region parent)` Creates a XRegion with the specified name.

Method Summary
`static javax.swing.plaf.synth.Region` | `getXRegion(javax.swing.JComponent component, boolean useParent)` Returns a region appropriate for the component.

Methods inherited from class javax.swing.plaf.synth.Region
`getName, isSubregion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XLIST

    public static final javax.swing.plaf.synth.Region XLIST

Constructor Detail

### XRegion

    public XRegion(java.lang.String name,
                   java.lang.String dummyUI,
                   boolean subregion,
                   java.lang.String realUI,
                   javax.swing.plaf.synth.Region parent)

  Creates a XRegion with the specified name.

  Parameters:
    `name` - Name of the region
    `subregion` - Whether or not this is a subregion.
    `realUI` - String that will be returned from `component.getUIClassID`.
    `parent` - the parent region which this is extending.

Method Detail

### getXRegion

    public static javax.swing.plaf.synth.Region getXRegion(javax.swing.JComponent component,
                                                           boolean useParent)

  Returns a region appropriate for the component.

  Parameters:
    `component` - the component to get the region for
    `useParent` - a boolean indicating whether or not to return a fallback of the XRegion, if available
  Returns:
    a region for the component or null if not available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.